# Class LogPermissionCollection

java.lang.Object
java.security.PermissionCollection
org.eclipse.equinox.log.LogPermissionCollection

All Implemented Interfaces:
  `Serializable`

public final class LogPermissionCollection extends PermissionCollection
Stores a set of `LogPermission` permissions.

Since:
  3.7
See Also:
  - `Permission`
  - `Permissions`
  - `PermissionCollection`
  - Serialized Form
Thread Safe:

## Constructor Summary

Constructors
Constructor
Description
`LogPermissionCollection()`

## Method Summary

Modifier and Type
Method
Description
`void`
`add(Permission permission)`
`Enumeration<Permission>`
`elements()`
`boolean`
`implies(Permission permission)`

### Methods inherited from class PermissionCollection

`elementsAsStream, isReadOnly, setReadOnly, toString`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### LogPermissionCollection

public LogPermissionCollection()

## Method Details

### add

public void add(Permission permission)

Specified by:
  `add` in class `PermissionCollection`

### elements

public Enumeration<Permission> elements()

Specified by:
  `elements` in class `PermissionCollection`

### implies

public boolean implies(Permission permission)

Specified by:
  `implies` in class `PermissionCollection`